Name:           hda-app-torrents
Version: 0.5
Release:        3

Summary:        Torrents is a HomeHDA'ized version of torrentFlux

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hda-platform
Requires: hdactl > 1.51
Requires: php-mysql

%define debug_package %{nil}

%description
Torrents is a HomeHDA'ized version of torrentflux.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/torrents/html
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/torrents/logs
rsync -Ca torrents/ $RPM_BUILD_ROOT/var/hda/apps/torrents/html
rsync -Ca 06-torrents.conf $RPM_BUILD_ROOT/var/hda/apps/torrents
rsync -Ca mysql_torrentflux.sql $RPM_BUILD_ROOT/var/hda/apps/torrents

%clean
rm -rf $RPM_BUILD_ROOT

%post
# rely on monit to restart the service
/usr/bin/hda-install-file /var/hda/apps/torrents/06-torrents.conf %{_sysconfdir}/httpd/conf.d/06-torrents.conf
/usr/bin/hda-alias add torrents
/sbin/service httpd restart > /dev/null 2>&1

(/usr/bin/mysqladmin -u root -phda create torrentflux && \
	/usr/bin/mysql -u root -phda torrentflux < /var/hda/apps/torrents/mysql_torrentflux.sql && \
	/bin/rm -f /var/hda/apps/torrents/mysql_torrentflux.sql ) > /dev/null 2>&1

# check if it already exists
if [[ ! -a /var/hda/files/torrents ]] ; then
	mkdir -p /var/hda/files/torrents
	chmod 777 /var/hda/files/torrents
	chown --reference=/var/hda/files /var/hda/files/torrents
fi

%preun
# if number of instances is 0 is a complete uninstall
# vs. > 0 if upgrade (in which case, check with if [ "$1" -ge "1" ]; then ...)
if [ "$1" = 0 ]; then
	/usr/bin/hda-alias rm torrents
	/bin/rm -f /var/hda/apps/torrents/06-torrents.conf
	/sbin/service httpd restart > /dev/null 2>&1
	/usr/bin/mysqladmin -f -u root -phda drop torrentflux > /dev/null 2>&1
	rmdir --ignore-fail-on-non-empty /var/hda/files/torrents
else
	(/usr/bin/mysqladmin -u root -phda drop torrentflux && \
	/usr/bin/mysqladmin -u root -phda create torrentflux && \
	/usr/bin/mysql -u root -phda torrentflux < /var/hda/apps/torrents/mysql_torrentflux.sql ) > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%attr(-, apache, apache) /var/hda/apps/torrents/*


%changelog
* Tue Apr 2 2007 Carlos Puchol
- initial version
